YUM-BUILDDEP(1)

NOM
yum-builddep – Redirection vers le greffon builddep de DNF

Ce programme installe tout ce qui est nécessaire pour construire les fichiers .src.rpm, .nosrc.rpm ou .spec.

ATTENTION :
        Les dépendances de construction dans un paquet (c’est-à-dire src.rpm) peuvent être différentes de ce qui est attendu parce qu’elles ont été évaluées à partir d’un ensemble de macros définies sur l’hôte de construction du paquet.

SYNOPSIS

dnf builddep paquet ...

ARGUMENTS

    <paquet>
        Un chemin vers un fichier .src.rpm, .nosrc.rpm ou .spec, ou un paquet disponible dans le dépôt.

OPTIONS

Toutes les options générales de DNF sont acceptées ; voir Options dans dnf(8) pour les détails.

    --help-cmd
        Afficher l'aide mémoire.

    -D <macro expr>, --define <macro expr>
        Définir la macro RPM appelée macro à la valeur expr lors de l’analyse des fichiers spec. À ne pas appliquer pour les fichiers source RPM.

    --spec
        Traiter les arguments comme des fichiers .spec.

    --srpm
        Traiter les arguments comme des fichiers RPM.

    --skip-unavailable
        Omettre les dépendances de construction non disponibles dans les dépôts. Toutes les dépendances de construction disponibles seront installées.

Remarquez que la commande builddep n’applique pas l’option –skip-broken ; aussi, il n’existe pas de moyen d’omettre les paquets non installables (par exemple, ayant des dépendances non satisfaites).

EXEMPLES

    dnf builddep toto.spec
        Installer les exigences de construction définies dans le fichier toto.spec.

    dnf builddep --spec toto.spec.in
        Installer les exigences de construction nécessaires définies dans le fichier spec quand le nom de fichier se termine par quelque chose autre que .spec.

    dnf builddep toto-1.0-1.src.rpm
        Installer les exigences de construction nécessaires définies dans le fichier toto-1.0-1.src.rpm.

    dnf builddep toto-1.0-1
        Rechercher toto-1.0-1 dans les dépôts activés et installer les exigences de construction nécessaires pour son RPM source.

    dnf builddep -D 'scl python27' python-toto.spec
        Installer les exigences de construction nécessaires pour la version SCL (Software Collections) de python27 de python-toto.

AUTEUR
Consulter les AUTEURS dans votre distribution principale de greffons de DNF.

COPYRIGHT
2014, Red Hat, sous licence GPLv2+

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.